#!/bin/sh
### BEGIN INIT INFO
# Provides:          mausdaemon
# Required-Start:    $syslog $network
# Required-Stop:     
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: mausdaemon
# Description:       mausdaemon fuer die Mini-Schulkonsole
### END INIT INFO
# Author: <M.Resch>


# Aktionen
case "$1" in
    start)
        echo "Start mausdaemon ..."
        /usr/sbin/mausdaemon -r &
        ;;
    stop)
        echo "Stop mausdaemon ..."
        killall -9 mausdaemon
        ;;
    restart)
        echo "Stop mausdaemon ..."
        killall -9 mausdaemon
        sleep 2
        echo "Start mausdaemon ..."
        /usr/sbin/mausdaemon -r &
        ;;
    *)
        echo "Usage: $0 {start|stop|restart}" >&2
        exit 3
        ;;
esac

exit 0
